BEGIN ~HORACE~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
 SAY ~*A motionless skeleton stands against the wall gathering dust.  You remain intruiged as to why it didn't attack you. Its head and body are slumped against the wall, almost as if it were relaxing.*~
 IF ~~ THEN REPLY ~*Leave it alone.*~ EXIT
 IF ~~ THEN REPLY ~*Edge closer and look it 'in the eyes.'*~ GOTO 1
 IF ~~ THEN REPLY ~*Kick it and see what happens.*~ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0
 SAY ~*You peer at the somewhat lifeless skeleton even closer, convinced that there is more to it then being a wall decoration.*~
 IF ~~ THEN REPLY ~*Still decide to leave it alone.*~ EXIT
 IF ~~ THEN REPLY ~*Blow some of the dust away from its armour and inspect its sword.*~ GOTO 2
 IF ~~ THEN REPLY ~*Kick it.*~ GOTO 3
END

IF ~~ THEN BEGIN 2 //from: 1
 SAY ~You start to inspect the rusted sword but jump back alarmed as both the sword and the skeletal arm holding it start to move.~
 IF ~~ THEN REPLY ~Do nothing.~ GOTO 3
 IF ~~ THEN REPLY ~Give it a shove.~ GOTO 3
END

IF ~~ THEN BEGIN 3 //from: 0.3, 1.3, 2
 SAY ~*The whole skeleton promptly collapses and you watch as it begins to rise to its feet.  Although this isn't unusual its movements seems almost lethargic.~
    =
     ~*It rubs its eye sockets and angles it head in a curious manner before it says in a masculine somberly voice.~
    =
     ~How long was I asleep?~
 IF ~~ THEN REPLY ~I have not a clue.  You'll have to forgive my incredulity but who and *what* are you exactly?~ GOTO 4
END

IF ~~ THEN BEGIN 4 //from: 4.0
 SAY ~A skeleton, clearly!  My given name is Horace and I have to say that I am glad to see you, whoever you are.  It's been a while since I had any company. What brings you to my tomb?~
 IF ~~ THEN REPLY ~Your tomb?  I thought this was an old family crypt?~ GOTO 7
 IF ~~ THEN REPLY ~This place is home huh? I have to say, I love the decor.  Its very...old!~ GOTO 5
 IF ~~ THEN REPLY ~How can you be glad?  You're dead!!  How can you have any emotion at all?~ GOTO 6
 IF ~~ THEN REPLY ~You can't be glad, this is clearly some sort of ruse.  I'll end your existence here and now.~ GOTO 9
END

IF ~~ THEN BEGIN 5 //from 4.2
 SAY ~A crypt usually is.~
 IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 6 //from 4.2
 SAY ~Do I sound dead to you? Physically perhaps but I tend to view it as a permanant state of unemployment. I'm still thinking and feeling as an entity regardless of my current physical form. Still, my question remains unanswered.~
 IF ~~ THEN REPLY ~Looking to settle an old family dispute actually.  There's some disagreement between the Alibakkars and Lurraxols regarding the foundation of this town.~ GOTO 7
END

IF ~~ THEN BEGIN 7 //from: 4.1, 5, 6
 SAY ~Families you say?  This isn't the old chesnut on who actually founded the town by any chance?~
 IF ~~ THEN REPLY ~Sure is.  Since you have been down here for Waukeen alone knows how long I guess you know something they probably don't.  Can you help?~ GOTO 8
 IF ~~ THEN REPLY ~Something like that although you'll not get the chance to find out.  Existence as you knew it is about to end.~ GOTO 9
END

IF ~~ THEN BEGIN 8 //from: 7
 SAY ~I've got a better idea!  Since this is such desolate and gloomy place and I'm not getting any younger let me come with you. They might look a bit decayed but I assure you that this arm and the sword it wields still work. I can also help you settle this family argument as well! What say you?~
 IF ~GlobalLT("Chapter","GLOBAL",4)~ THEN REPLY ~Well Horace, you should be aware I have a goal to rescue a friend of mine, Imoen. She's been captured by the Cowled Wizards.~ GOTO 10
 IF ~GlobalLT("Chapter","GLOBAL",7)~ THEN REPLY ~Horace, I am hunting a very powerful and evil mage called Irenicus.~ GOTO 11
 IF ~~ THEN REPLY ~ I dont think that will be needed at this point in time.  Perhaps later on.  Farewell.~ GOTO 12
 IF ~~ THEN REPLY ~ I think not 'Horace.' A sentient undead is a dangerous thing to have lying around in such a populated area.  Here is where it ends.~ GOTO 9
END

IF ~~ THEN BEGIN 9 //from: 4.4, 7.2, 8.4
 SAY ~Then have at me friend. May one of us see the oblivion from which I have been denied for so long.~
IF ~~ THEN DO ~ChangeEnemyAlly(Myself,EVILCUTOFF)
 ENEMY()
 Attack(NearestEnemyOf(Myself))~ EXIT
END

IF ~~ THEN BEGIN 10 //from: 8.1
 SAY ~Rescue?  Cowled Wizards?  Sounds like fun already! Lets deal the families and then we can attend to your rescue attempt.~
IF ~~ THEN DO ~SetGlobal("HoraceJoined","LOCALS",1)
JoinParty()~
EXIT
END

IF ~~ THEN BEGIN 11 //from 8.2
 SAY ~Mage? If your quest involves the investigation and destruction of dark magic perhaps we can also shed some light on my own longevity.~
IF ~~ THEN DO ~SetGlobal("HoraceJoined","LOCALS",1)
JoinParty()~
EXIT
END

IF ~~ THEN BEGIN 12 //from 8.3
 SAY ~Then that, my <LADYLORD> is your choice, I'll not be going anywhere anytime soon so keep me in mind if you are in the vicinity. Fair thee well!~
 IF ~~ THEN EXIT
END

IF ~NumTimesTalkedToGT(0)~ THEN BEGIN 13
 SAY ~You've returned so soon.  I'm not used to having this many visitors in one year.  Especially not the same one.~
 IF ~~ THEN REPLY ~I came back for a reason, I've decided to take you with me.  Jump in line.~
DO ~SetGlobal("HoraceJoined","LOCALS",1)
JoinParty()~
EXIT
 IF ~~ THEN REPLY ~Just checking on you.  I still dont need you in the party though.~ GOTO 13a
END

IF ~~ THEN BEGIN 13a
 SAY ~Refused again!  I'll pass the time here by decomposing then!~
 IF ~~ THEN EXIT
END

